---
title: "Submit loan Repayment OneTime Transaction"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/operations/loanrepaymentonetime1"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# Submit loan Repayment OneTime Transaction

`POST` `/policy/v1/transactions/{planCode}/{policyNumber}/loanrepaymentonetime`

Operation ID: `loanrepaymentonetime1`

## Path parameters

- `planCode` (string, required)
- `policyNumber` (string, required)

## Request body (required)

Content types: `application/json`

## Responses

- `202` - Success
- `500` - Unexpected error occured, please check server logs

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
paths:
  /policy/v1/transactions/{planCode}/{policyNumber}/loanrepaymentonetime:
    post:
      x-kong-plugin-pre-function:
        config:
          access:
            - >
              local path = kong.request.get_path()

              local new_path = path:gsub("^/policy/v1/transactions",
              "/bpm/v1/policies")

              kong.service.request.set_path(new_path)
      tags:
        - Financial Transactions
      summary: Submit loan Repayment OneTime Transaction
      operationId: loanrepaymentonetime1
      parameters:
        - name: planCode
          in: path
          required: true
          schema:
            type: string
        - name: policyNumber
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/LoanRepaymentOneTimeRequest"
      responses:
        "202":
          description: Success
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionAcceptedResponse"
        "500":
          description: Unexpected error occured, please check server logs
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    LoanRepaymentOneTimeRequest:
      type: object
      allOf:
        - $ref: "#/components/schemas/LoanRepaymentOneTime"
      properties:
        caseId:
          type: string
          example: CA0000007389
    TransactionAcceptedResponse:
      type: object
      properties:
        correlationId:
          type: string
          example: 3a2a3435-2089-4b81-9959-e0d569ccf4f0
          description: Unique identifier which used by every system to trace the request
        caseId:
          type: string
          example: CA0000369469
          description: Zinnia Live Case ID
        caseStatus:
          type: string
          example: IN_PROGRESS
          description: Zinnia Live Case Status
        pdfId:
          type: string
          description: Identifier for the generated or associated PDF document (e.g.
            OnBase document number). Returned on systematic program setup and
            update submit when available.
          example: DOC-10004567
    LoanRepaymentOneTime:
      type: object
      properties:
        correlationId:
          type: string
          example: 657b717b7dcf554abf9ef067
          description: The unique ID to track transaction request across all systems
        effectiveDate:
          type: string
          format: date
          description: Date (with pattern "yyyy-mm-dd") when the transaction was
            originally scheduled or expected to happen, can be a non-business
            day
        reverseInitiator:
          type: boolean
          description: Property to isolate source transaction(s) that initiated the reversal
        transactionAmounts:
          type: object
          properties:
            requestedAmount:
              type: number
              example: 1000
              description: Requested amount value
        fundAllocation:
          type: object
          properties:
            allocationOption:
              $ref: "#/components/schemas/AllocationOption"
        payor:
          $ref: "#/components/schemas/AdhocParty"
    AllocationOption:
      type: string
      enum:
        - PRORATA
        - DOLLAR
        - SPECIFYPERCENTAGE
        - SPECIFIEDFUNDS
        - SPECIFIEDSEGMENTS
        - DEFAULT
        - PECKINGORDER
        - EARNINGSONLY
      description: Defines the format of how the funds are removed, i.e. dollar,
        percentage, pro-rata, etc.
    AdhocParty:
      allOf:
        - $ref: "#/components/schemas/BaseAdhocParty"
        - type: object
          properties:
            paymentForm:
              $ref: "#/components/schemas/PaymentForm"
    BaseAdhocParty:
      type: object
      properties:
        partyId:
          type: string
          example: Party_PI_1
          description: Impacted Party in the event of financial transaction
        bankId:
          type: string
          example: Bank_1
          description: Comes in Acord 103
    PaymentForm:
      type: string
      enum:
        - DTCC
        - CREDITCARD
        - ACH
        - CHECK
        - WIRE
        - EXCHANGE
        - EFT
      description: Mode of payment
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.uat.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://uat.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://uat.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
